Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 15 reacties
Bron: amd, submitter: dragunova

ATi CrossFireX logo (75 pix)

AMD heeft nieuwe Linux-drivers voor zijn ATI Radeon-videokaarten uitgebracht. De download is 91,7MB groot en kan zowel voor 32bit- als 64bit-omgevingen worden gebruikt. Versie 9.8 is geschikt voor Radeon HD2400, Mobility X2300 en FireGL V3600 en hoger. Overige systeemeisen zijn versies 6.8 tot en met 7.4 van X.org, Linux-kernel 2.6 en glibc-versies 2.2 of 2.3. In deze release is volwaardige ondersteuning toegevoegd voor versie 4.8 van Red Hat Enterprise Linux en 9.04 van Ubuntu. Verder is er ondersteuning voor de Resize and Rotate Extension van X Windows toegevoegd, waardoor het nu onder andere mogelijk is om het beeldscherm te draaien:

ATI Catalyst 9.8 driver for Linux

This release of ATI Catalyst driver for Linux introduces support for the following new operating systems:
  • RHEL 4.8 production support
  • Ubuntu 9.04 production support
This release of the ATI Catalyst driver for Linux introduces support for the RandR 1.2 extension API. The following new features are now available in the ATI Catalyst Control Center - Linux Edition Display Manager:
  • Display rotation
  • Multiple display arrangement and desktop sizing
ATi Catalyst Linux Display Driver logo (410 pix)
Moderatie-faq Wijzig weergave

Reacties (15)

Een paar features die niet genoemd zijn maar wel belangrijk:
- OpenGL 3.1
- Eindelijk ondersteuning voor de .29 en .30 kenels helaas nog geen .31 (maar die moet komen binnen de komende twee maanden voor Ubuntu 9.10)

Wel goed zeg dat Ubuntu al zoveel kracht/gebruikers achter zich heeft dat AMD wordt gedwongen om sneller nieuwere kernels te ondersteunen....

@dragunova & K_VL:
Ubuntu 9.04 werd vrijgegeven met een preview van Catalyst 9.4, 9.4 kwam een paar weken na Ubuntu 9.04 uit.
De Catalyst drivers ondersteunen Ubuntu 9.04 dus ook al sinds 9.4 maar geven altijd een waarschuwing dat het experimenteel is nu hebben ze kennelijk de waarschuwing weggehaald (ik heb het nog niet getest).

Extra bronnen:
http://www.phoronix.com/forums/showthread.php?t=18561
http://forums.fedoraforum...bb6&p=1255383#post1255383
http://www.pcper.com/comments.php?nid=7641
# Ubuntu 9.04 production support
Is dit niet extreem laat of bedoelen ze 9.10? :?

(geen idee wat er op de release notes van de amd website staat: File not found :-s)
Dit is tot nu toe het beste ik vinden kan aan realeasenotes m.b.t. de Catalyst 9.8 voor Linux:


New Features:

RedFlag DT 7.0 production support

Resolved Issues:

X segmentation fault no longer occurs after applying reflections or rotations on some systems that support Xrandr 1.2 or higher
Catalyst Control Center hot plugging a secondary display no longer causes screen corruption in clone mode
Monitor are now disabled after removing the secondary display when system is in standby
Some systems now report CrossFire adapters available during driver re-install
On some multi-monitor configurations disabling one display no longer causes both displays to become disabled
X Server does not intermittently fail to start on some multi adapter configurations
Executing xrandr --prop no longer causes Ubuntu 9.04 X Server to stop responding
Segmentation fault no longer occurs with X server Xinerama is enabled
Was het niet zo dat 9.04 een onofficiel betadriver gebruikte?

@jealma hieronder; Ligt het niet aan je hardware?
de 9.6 draait bij mij goed. Er mist idd wel nog een aantal zaken maar 2D (ook compiz) is bruikbaar, evenals 3Dacceleratie (op een blur in sauerbraten na).
Heel fijn met mijn huidige hd4870. Had hiervoor een hd4870 die het NIET deed; die was defect en is voor rma terug (betreft een powercolor).

[Reactie gewijzigd door dragunova op 18 augustus 2009 12:30]

AMD/ATI is extreem laat met alles wat betreft Linux. Die nieuwe driver van ze kan voor mijn part in de stront zakken. Er is na een jaar NOG geen support voor videodecoden via GPU (waar nvidia het perfect werkende VDPAU al bijna een jaar heeft). De driver is nog steeds brak en werkt voor geen meter. Tevens is de ontwikkeling zo tergend langzaam dat je er gek van wordt. Ik heb goede hoop voor de xf86-video-ati en xf86-video-radeonhd drivers, die langzaam maar zeker beter worden. Er zit in ieder geval al een beginsel van 3d support in, evenals KMS en 2d en videoweergave werkt al gewoon perfect. Dat laatste doet AMD's driver zelfs nog niet.
Dus hiermee werkt Compiz etc. 100% op bijv. 780/785G chipsets :?
Persoonlijk ben ik best wel tevreden over de Linux drivers van AMD. Ik hoor veel klachten over video weergave, maar persoonlijk heb ik hier nog nooit hinder van ondervonden (de oude analoge tv zal hier wel een rol in spelen en daarnaast heb ik desktop effecten uitgeschakeld waardoor het probleem geloof ik minder of zelfs niet aanwezig is).

Op zich is het inderdaad jammer dat nieuwe kernels niet wat vlotter ondersteunt worden, maar als je Ubuntu gebruikt zit je altijd goed omdat Ubuntu bij een nieuwe release altijd met een (beta) Catalyst driver komt. Verder zit ik nog steeds op Ubuntu 8.04.3 (long term support), dus heb ik er totaal geen last van (wil binnenkort wel over naar 9.04 of 9.10).

Ik programmeer zelf ook OpenGL applicaties en ben dus erg blij met de OpenGL 3.1 ondersteuning en eindelijk geometry shader support onder OpenGL! Ik heb eigenlijk niet vaak driver specifieke problemen met OpenGL, dus ik ben daar best tevreden over. Applicaties zoals Wine waren in het verleden geheel gericht op nVidia hardware (vaak met nVidia specifieke implementaties) waardoor dit op AMD hardware niet lekker werkt. Maar hier wordt geloof ik aan gewerkt (zelf gebruik ik Wine niet) en wat ik erover hoor werkt Wine steeds beter met AMD hardware.
Ik merk weinig van de 9.04 support. Het installatieprogramma eindigt bij mij door m'n terminal om zeep te helpen. Om het terminal weer te kunnen gebruiken moet ik een reset commando invoeren. De driver lijkt in de eerste instantie correct geinstalleerd, maar X crasht bij het starten. Ben maar wat blij dat ati een fglrx-uninstal.sh meelevert. :)

Op debian testing lijkt bij mij alles te werken, ook X start vrolijk op na het installeren van de driver. Echter, metacity wordt onwerkbaar traag, en 3d versnelling blijkt al helemaal niet aanwezig te zijn. Ben dus weer snel naar de xorg drivers teruggegaan. Heb overigens een radeon 3470 in m'n laptop.
Bij mij is de driver momenteel stabiel en erg snel.

Moest wel 2 dingen voor doen:

1)
Check je x-server version:
In terminal type : X -version

deze behoort 1.6 te zijn. Die van mij was 1.5.2 door een oude tweak.
Als je niks hebt gelocked in de package manager, dan auto update de x-server automatisch,
door een systeem update uit te voeren. Hierna gebruikte xserver aanzienlijk minder cpu belasting.

2)
De drivers waren daarna wel vlot, behalve bij openen van vensters en maximizen, super irritant maar dat is makkelijk te verhelpen door.

install "XServer with no backfill" patch. Zie linkje
http://ubuntuforums.org/archive/index.php/t-1172875.html
Niet eens ondersteuning voor ATI Radeon 3870 X2!
Waarom niet?

Ik hoopte daarvoor betere ondersteuning aan te treffen. Ik heb zo'n kaart en met de driver van ATI zelf (onder Linux dus, Ubuntu) crasht-ie...

[Reactie gewijzigd door Tomatensoep op 23 augustus 2009 14:48]

Het is toch erg triest dat een bedrijf als AMD er zo lang over doet om goede drivers te kunnen schrijven. En ze zijn nog STEEDS niet goed :(
Ze mogen beginnen beseffen dat mensen met verstand in het vervolg wel twee keer zullen nadenken alvorens een videokaart te kopen als de drivers zo brak zijn. De prijzen zijn tegenwoordig aan elkaar gewaagd en de prestaties ongeveer gelijk. Dan beslist voor mij degene met de beste drivers (nvidia dus).
volgens mij kan je dan beter een intel nemen....

daarbij heeft ATI al een tijdje terug zijn hele GPU API/specificaties vrijgegeven, inclusief voorbeeld driver waardoor er nu heel hard word gewerkt aan volledig opensource drivers.
Daar kan nvidia nog een puntje aan zuigen volgens mij, maar het duurt nog even voor dat helemaal tot uiting komt natuurlijk. (de release van de laatste specs voor de r600/700 was pas 5 maanden geleden)

en als ik in dit article de benchmarks even bekijk dan is het verschil niet zo groot, op een enkele benchmark na waar ATI een steekje laat vallen
http://www.phoronix.com/s...cle&item=amd_hd4770&num=7

[Reactie gewijzigd door Countess op 20 augustus 2009 03:00]

Die benchmark is al weer van 11 Mei, inmiddels zijn er nieuwe -fglrx- drivers gepubliceerd die betere performantie zouden moeten geven. Vraag me niet hoeveel.

Wel is er al enige 3Dacceleratie met de open source drivers, en werd er in juli geroepen dat er deze herfst een -voor consumentensystemen- werkende versie beschikbaar zal zijn.
Waar praat u precies van? Wat zijn uw ervaringen exact en manco's die u heeft aangetroffen in de huidige release waarvoor u een bugreport heeft ingediend?
De driver releases gaan per maand. Kijk maar naar de update geschiedenis.
Het is augustus. Vandaar de '8'.

[Reactie gewijzigd door arnoid op 18 augustus 2009 10:08]

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True